Cancel a desk reservation
curl --request DELETE \
--url https://api.orbit.devotel.io/api/v1/voice/hoteling/reservations/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.orbit.devotel.io/api/v1/voice/hoteling/reservations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.orbit.devotel.io/api/v1/voice/hoteling/reservations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"deviceSipUsername": "<string>",
"userId": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"status": "<string>",
"durationMinutes": 1,
"deviceLabelSnapshot": "<string>",
"userDisplayNameSnapshot": "<string>",
"notes": "<string>",
"fulfilledSessionId": "<string>",
"fulfilledAt": "2023-11-07T05:31:56Z",
"releasedReason": "<string>"
}
}Voice
Cancel a desk reservation
Cancels an active desk reservation. The booker can cancel their own; owner/admin can cancel any. Returns 410 if the reservation is already cancelled/fulfilled/expired, 404 if it does not exist for the org.
DELETE
/
api
/
v1
/
voice
/
hoteling
/
reservations
/
{id}
Cancel a desk reservation
Authorizations
BearerApiKey
Dashboard JWT token from Clerk
Path Parameters
Reservation id to cancel.
Pattern:
^hdr_[0-9a-f]{32}$Response
200 - application/json
The cancelled desk reservation.
A hoteling desk reservation as returned to the booking calendar.
Show child attributes
Show child attributes
⌘I